API DocumentationManufacturer part specification controller
Get part specifications with filtering
Retrieves a paginated list of part specifications with optional filtering and search
Authorization
Phasio API Bearer Token AuthorizationBearer <token>
In: header
Query Parameters
filter*string
filter specification
page?integer
Zero-based page index (0..N)
size?integer
The size of the page to be returned
sort?array<string>
Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.
search?string
Optional search term
customerOrganisationId?integer
Optional customer organisation. Restricts results to specifications whose part revision is claimed by that customer organisation.
Response Body
application/json
application/json
curl -X GET "https://example.com/api/manufacturer/v1/part-specification?filter=string"{ "content": [ null ], "totalElements": 0, "totalPages": 0, "pageNumber": 0, "pageSize": 0, "isEmpty": true, "isFirst": true, "isLast": true}{ "error": "ORDER_NOT_FOUND", "message": "Order not found"}